Introduce yourself here! In order to avoid spam, new users must first comment on the discussion in the 'Introductions' before they become 'full members'
Can't move Widgets
  • I can't move the widgets in the admin panel. The cursor turns into the usual "cross" to move the widget but I only can mark the text of the widget. I also cant move new widgets into the widget list.

    I changed it for now in the raw editor.
    Does this ever happend to anyone of you?
  • I’ve experienced the moving way doesn’t work at all. I can move the widgets, but what I do doesn’t get saved. I’m always changing the order in the raw editor.
  • Hi, what browser are you using?
    Have you javascript enabled?
    Does the browser load correctly the javascripts?
    Are you trying with another browser?
    Is the plugin jQuery enabled?
  • Well, if you are asking me, Piero, the answers are: Chrome; yes; yes (I suppose); no, I didn’t; yes. It wasn’t important enough to try it in another browser, I’m satisfied with the raw editor.
  • @ Piero:

    Firefox, Opera and IE
    Jep, it is.
    I hope so... how do I check? Theres no Error / Popup in any of the browsers.
    Tried it with all of them :)
    It is.
  • To check if Javascript are loaded, go with Firefox on the Widget page.
    Open the "View Source" (CTRL U), then you should see a line with <script type="text/javascript" src="http://yoursite/fp-plugins/jquery/res/jquery....js"></script>. Then click on the link that is in the src attribute: you should see the source of jQuery.
    Then go to the footer. You should see a link to admin/panels/widgets/admin.widgets.js . Click on it, and it must be the source of the Javascript file.
    If you see instead errors of the Webserver, the browser doesn't load these scripts.

    Another plugin check: jsUtils is disabled? If no disable it, it is Mootools but Flatpress doesn't use it anymore, it uses jQuery.
  • Thank you piero, thanks a lot, it was jsUtils. I disabled it, so I can delete the jsUtils plugin folder too?
  • Yes, you can remove it. Also slimbox: now flatpress uses slimbox 2 (that is another plugin).

    @NoWhereMan should remove them from the SVN and from the next releases...
  • good idea. done
  • I have updated flatpress and after that could not move widgets anymore. I checked my previous installation and host where it worked and there was this difference:

    In plugin.jquery.php there was <script type="text/javascript" src="{$pdir}res/jquery-1.5.2.min.js"></script> but in new installation there is <script type="text/javascript" src="{$pdir}res/jquery-1.7.1.min.js"></script> on that line.

    The file jquery-1.5.2.min.js was also missing.

    I changed that line to jquery-1.5.2.min.js and copied .js file back and now my widgets work again.
Start a New Discussion

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion